# Import Redirects

The packages in this repo have import paths beginning `gocloud.dev`. This works
because:

-   The `gocloud.dev` domain redirects to the GitHub Pages servers. See the
    output of `dig gocloud.dev +noall +answer` and compare to the IP addresses
    [documented by GitHub](https://help.github.com/articles/setting-up-an-apex-domain/#configuring-a-records-with-your-dns-provider).

-   This repo's settings configure its GitHub Page to display the contents of
    the `gh-pages` branch, with custom domain `gocloud.dev`. See "GitHub Pages"
    under the [settings](https://github.com/google/go-cloud/settings).

-   Each package import path in this repo has a corresponding HTML page on the
    `gh-pages` branch that contains the `go-import` meta tag that `go get`
    expects. Those HTML pages are generated by the `makeimports.sh` script in
    this directory.

-   The `makeimports.sh` script is invoked by Travis after a successful build
    when new changes are pushed to the `master` branch. This is configured in
    the project's
    [.travis.yml file](https://github.com/google/go-cloud/blob/master/.travis.yml).
    For details on GitHub Pages deployment with Travis see
    [this doc](https://docs.travis-ci.com/user/deployment/pages/).
